StarObjectModel.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "STOFFFrameStyle.hxx"`
`#include "STOFFGraphicListener.hxx"`
`#include "STOFFListener.hxx"`
`#include "STOFFOLEParser.hxx"`
`#include "STOFFPageSpan.hxx"`
`#include "StarAttribute.hxx"`
`#include "StarItemPool.hxx"`
`#include "StarObject.hxx"`
`#include "StarObjectSmallGraphic.hxx"`
`#include "StarState.hxx"`
`#include "StarZone.hxx"`
`#include "StarObjectModel.hxx"`

## Classes

class | StarObjectModelInternal::Layer
| Internal: class used to store a layer and its data. More...
class | StarObjectModelInternal::LayerSet
| Internal: class used to store a layer set and its data. More...
class | StarObjectModelInternal::Page
| Internal: class used to store a page and its data. More...
struct | StarObjectModelInternal::Page::Descriptor
| Internal: class used to store a page descriptor. More...
struct | StarObjectModelInternal::State
| Internal: the state of a StarObjectModel. More...

## Namespaces

namespace | StarObjectModelInternal
| Internal: the structures of a StarObjectModel.

## Functions

static bool | StarObjectModelInternal::convertUint8ListToBoolList (std::vector< int > const &orig, std::vector< bool > &res)
| small function used to convert a list of uint8_t to a bool vector
std::ostream & | operator<< (std::ostream &o, StarObjectModel const &model)

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | o,
|  | StarObjectModel const & | model )